# khoj

基于openai打造的个人知识管理工具


1.  **搜索功能**：快速搜索个人知识库。pdf,markdown,网页，github，notion（同步）。
2.  **与个人知识库的对话**：Khoj不仅仅是一个搜索工具，它还可以与你的个人知识库进行交流。你可以向Khoj提问，它会根据你的问题和已有的知识回答你，就像一个智能的副驾驶员一样。
3.  **在线和离线支持**：Khoj可以在在线和离线环境中使用。无论你是在互联网上还是在没有网络连接的情况下，Khoj都能帮助你访问和管理你的个人知识库。
4.  **智能推荐**：Khoj还具备智能推荐功能，它可以根据你的搜索历史和兴趣推荐相关的内容，帮助你发现新的知识和信息。
5.  **自然语言处理**：Khoj使用先进的自然语言处理技术，能够理解和处理人类语言的复杂性。无论你使用的是中文还是英文，Khoj都能够准确理解你的问题并给出相应的答案。
6.  **作为****Obsidian或Emacs插件使用：**Khoj可以嵌入到Obsidian和Emacs中，让用户更方便的管理个人知识库。

语音转文字

文生图

定时任务（Automate），如每天早上6点钟，邮件推送天气预报。



## Usage

命令：
```
/online
```

## Develop

Python, FastAPI，OpenAI， 

data/khoj.sqlite 数据库或采用 POSTGRES

```
git clone https://github.com/khoj-ai/khoj.git & cd khoj
#docker-compose up
docker compose -f "docker-compose.yml" up -d --build

# 访问
http://localhost:42110
```

使用需要先配置一些 agents，如gpt3.5


## Reference

网站： https://khoj.dev/

https://app.khoj.dev/  订阅费 $30/m

文档 https://docs.khoj.dev/

开源：https://github.com/khoj-ai/khoj

